CREATE procedure rrhh.sp_guardarDetalleDocumentoPagoEmpleado
@numCodproceso int,
@numCodempleado varchar(15),
@txtTipoAccion varchar(50),
@dbResponse varchar(300) output,
@dbEmail nvarchar(300) output,
@dbNombreEmpleado varchar(600) output,
@dbPuesto varchar(350) output
as
begin
	set nocount on;
	declare @dbDepartamento int,@dbEmpresa int;
	select top(1) @dbDepartamento = empleados.coddepartamento,@dbEmpresa = empleados.codempresa,@dbPuesto = puestos.descripcionpuesto,@dbNombreEmpleado = empleados.nomempleado1 + ' '+empleados.nomempleado2+' '+empleados.apellidosempleado1+' '+empleados.apellidosempleado2,@dbEmail = empleados.correoempresarial from negocios_a.dbo.gen_empleado empleados inner join negocios_a.dbo.gen_puesto puestos on empleados.codpuesto = puestos.codpuesto where empleados.codempleado = @numCodempleado;

	insert into rrhh.det_procesosDocumentosPago(idProceso,coddepartamento,codempresa,codempleado,puesto,nombreEmpleado,email,tipoProceso) values(@numCodproceso,@dbDepartamento,@dbEmpresa,@numCodempleado,@dbPuesto,@dbNombreEmpleado,@dbEmail,case when @txtTipoAccion = 'Enviar' then 1 else 2 end);

	set @dbResponse = 'success';
end